bitel.billing.server.admin.bean

## Class ContractParameterGroupManager

- java.lang.Object
- - bitel.billing.server.admin.bean.ContractParameterGroupManager

-     public class ContractParameterGroupManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.sql.Connection` | `con`
    `protected DefaultServerSetup` | `setup`
    `static java.lang.String` | `TABLE_CONTRACT_PARAMETER_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractParameterGroupManager(java.sql.Connection connection)`
    `ContractParameterGroupManager(java.sql.Connection connection, DefaultServerSetup setup)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addParameterInGroup(int groupId, java.util.List<java.lang.Integer> pids)` Добавление в группу параметров из списка
    `void` | `deleteAllParameterInGroup(int groupId)` Удаление привязки всех параметров входящих в группу
    `java.util.Set<java.lang.Integer>` | `getParameterSetInGroup(int groupId)` Возвращает коды параметров входящих в группу

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TABLE_CONTRACT_PARAMETER_GROUP

          public static final java.lang.String TABLE_CONTRACT_PARAMETER_GROUP

      See Also:
        Constant Field Values

    - #### con

          protected java.sql.Connection con

    - #### setup

          protected DefaultServerSetup setup

  - ### Constructor Detail

    - #### ContractParameterGroupManager

          public ContractParameterGroupManager(java.sql.Connection connection)

    - #### ContractParameterGroupManager

          public ContractParameterGroupManager(java.sql.Connection connection,
                                               DefaultServerSetup setup)

  - ### Method Detail

    - #### deleteAllParameterInGroup

          public void deleteAllParameterInGroup(int groupId)

      Удаление привязки всех параметров входящих в группу
      Parameters:
        `groupId` - код группы параметров

    - #### addParameterInGroup

          public void addParameterInGroup(int groupId,
                                          java.util.List<java.lang.Integer> pids)

      Добавление в группу параметров из списка
      Parameters:
        `groupId` - код группы параметров
        `pids` - список кодов параметров

    - #### getParameterSetInGroup

          public java.util.Set<java.lang.Integer> getParameterSetInGroup(int groupId)
                                                                  throws ru.bitel.bgbilling.common.BGException

      Возвращает коды параметров входящих в группу
      Parameters:
        `groupId` - код группы параметров
      Returns:
        коды параметров или пустой набор
      Throws:
        `ru.bitel.bgbilling.common.BGException`